<?php

namespace Drupal\external_entities_field_processors\Plugin\ExternalEntities\FieldMapProcessor;

use Drupal\external_entities_field_processors\FieldMapProcessor\FieldMapProcessorBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Date String Processor.
 *
 * @FieldMapProcessor(
 *   id = "date_string_to_date_field",
 *   label = @Translation("Date string to date field"),
 *   description = @Translation("Converts date string to Drupal date field compatible data (Y-m-d)."),
 *   field_types = ""
 * )
 *
 * @package Drupal\external_entities_field_processors\Plugin\ExternalEntities\FieldMapProcessor
 */
class DateStringToTimestamp extends FieldMapProcessorBase {

  /**
   * {@inheritdoc}
   */
  public function processData($raw_data): array|string {
    return date('Y-m-d', strtotime($raw_data));
  }

}
